package com.mortals.xhx.module.matter.model;

import java.util.List;
/**
* 事项设定依据查询对象
*
* @author zxfei
* @date 2022-11-16
*/
public class MatterSetbaseQuery extends MatterSetbaseEntity {
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长列表 */
    private List <Long> idList;

    /** 开始 事项matter id */
    private Long matterIdStart;

    /** 结束 事项matter id */
    private Long matterIdEnd;

    /** 增加 事项matter id */
    private Long matterIdIncrement;

    /** 事项matter id列表 */
    private List <Long> matterIdList;

    /** 事项编码 */
    private List<String> matterCodeList;

    /** 事项名称 */
    private List<String> matterNameList;

    /** 法规标题 */
    private List<String> policyNameList;

    /** 法规类型，(法律.法律，行政法规.行政法规，地方法规.地方法规，部门规章.部门规章，其他.其他，政府规章.政府规章，规范性文件.规范性文件) */
    private List<String> policyTypeList;

    /** 条例 */
    private List<String> policyitemList;

    /** 条款内容 */
    private List<String> contentList;

    /** 开始 事项来源，(0.政务网，1.自定义) */
    private Integer sourceStart;

    /** 结束 事项来源，(0.政务网，1.自定义) */
    private Integer sourceEnd;

    /** 增加 事项来源，(0.政务网，1.自定义) */
    private Integer sourceIncrement;

    /** 事项来源，(0.政务网，1.自定义)列表 */
    private List <Integer> sourceList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<MatterSetbaseQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<MatterSetbaseQuery> andConditionList;

    public MatterSetbaseQuery(){}

    /**
    * 获取 开始 主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 事项matter id
    * @return matterIdStart
    */
    public Long getMatterIdStart(){
        return this.matterIdStart;
    }

    /**
    * 设置 开始 事项matter id
    * @param matterIdStart
    */
    public void setMatterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
    }

    /**
    * 获取 结束 事项matter id
    * @return $matterIdEnd
    */
    public Long getMatterIdEnd(){
        return this.matterIdEnd;
    }

    /**
    * 设置 结束 事项matter id
    * @param matterIdEnd
    */
    public void setMatterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
    }

    /**
    * 获取 增加 事项matter id
    * @return matterIdIncrement
    */
    public Long getMatterIdIncrement(){
        return this.matterIdIncrement;
    }

    /**
    * 设置 增加 事项matter id
    * @param matterIdIncrement
    */
    public void setMatterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
    }

    /**
    * 获取 事项matter id
    * @return matterIdList
    */
    public List<Long> getMatterIdList(){
        return this.matterIdList;
    }

    /**
    * 设置 事项matter id
    * @param matterIdList
    */
    public void setMatterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
    }

    /**
    * 获取 事项编码
    * @return matterCodeList
    */
    public List<String> getMatterCodeList(){
        return this.matterCodeList;
    }

    /**
    * 设置 事项编码
    * @param matterCodeList
    */
    public void setMatterCodeList(List<String> matterCodeList){
        this.matterCodeList = matterCodeList;
    }
    /**
    * 获取 事项名称
    * @return matterNameList
    */
    public List<String> getMatterNameList(){
        return this.matterNameList;
    }

    /**
    * 设置 事项名称
    * @param matterNameList
    */
    public void setMatterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
    }
    /**
    * 获取 法规标题
    * @return policyNameList
    */
    public List<String> getPolicyNameList(){
        return this.policyNameList;
    }

    /**
    * 设置 法规标题
    * @param policyNameList
    */
    public void setPolicyNameList(List<String> policyNameList){
        this.policyNameList = policyNameList;
    }
    /**
    * 获取 法规类型，(法律.法律，行政法规.行政法规，地方法规.地方法规，部门规章.部门规章，其他.其他，政府规章.政府规章，规范性文件.规范性文件)
    * @return policyTypeList
    */
    public List<String> getPolicyTypeList(){
        return this.policyTypeList;
    }

    /**
    * 设置 法规类型，(法律.法律，行政法规.行政法规，地方法规.地方法规，部门规章.部门规章，其他.其他，政府规章.政府规章，规范性文件.规范性文件)
    * @param policyTypeList
    */
    public void setPolicyTypeList(List<String> policyTypeList){
        this.policyTypeList = policyTypeList;
    }
    /**
    * 获取 条例
    * @return policyitemList
    */
    public List<String> getPolicyitemList(){
        return this.policyitemList;
    }

    /**
    * 设置 条例
    * @param policyitemList
    */
    public void setPolicyitemList(List<String> policyitemList){
        this.policyitemList = policyitemList;
    }
    /**
    * 获取 条款内容
    * @return contentList
    */
    public List<String> getContentList(){
        return this.contentList;
    }

    /**
    * 设置 条款内容
    * @param contentList
    */
    public void setContentList(List<String> contentList){
        this.contentList = contentList;
    }
    /**
    * 获取 开始 事项来源，(0.政务网，1.自定义)
    * @return sourceStart
    */
    public Integer getSourceStart(){
        return this.sourceStart;
    }

    /**
    * 设置 开始 事项来源，(0.政务网，1.自定义)
    * @param sourceStart
    */
    public void setSourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
    }

    /**
    * 获取 结束 事项来源，(0.政务网，1.自定义)
    * @return $sourceEnd
    */
    public Integer getSourceEnd(){
        return this.sourceEnd;
    }

    /**
    * 设置 结束 事项来源，(0.政务网，1.自定义)
    * @param sourceEnd
    */
    public void setSourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
    }

    /**
    * 获取 增加 事项来源，(0.政务网，1.自定义)
    * @return sourceIncrement
    */
    public Integer getSourceIncrement(){
        return this.sourceIncrement;
    }

    /**
    * 设置 增加 事项来源，(0.政务网，1.自定义)
    * @param sourceIncrement
    */
    public void setSourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
    }

    /**
    * 获取 事项来源，(0.政务网，1.自定义)
    * @return sourceList
    */
    public List<Integer> getSourceList(){
        return this.sourceList;
    }

    /**
    * 设置 事项来源，(0.政务网，1.自定义)
    * @param sourceList
    */
    public void setSourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 修改时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 修改时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 修改时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 修改时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键，自增长
    * @param id
    */
    public MatterSetbaseQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public MatterSetbaseQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public MatterSetbaseQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public MatterSetbaseQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public MatterSetbaseQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  事项matter id
    * @param matterId
    */
    public MatterSetbaseQuery matterId(Long matterId){
	    setMatterId(matterId);
		return this;
    }
	
	 /**
    * 设置 开始 事项matter id
    * @param matterIdStart
    */
    public MatterSetbaseQuery matterIdStart(Long matterIdStart){
		this.matterIdStart = matterIdStart;
		return this;
    }

    /**
    * 设置 结束 事项matter id
    * @param matterIdEnd
    */
    public MatterSetbaseQuery matterIdEnd(Long matterIdEnd){
		this.matterIdEnd = matterIdEnd;
		return this;
    }

    /**
    * 设置 增加 事项matter id
    * @param matterIdIncrement
    */
    public MatterSetbaseQuery matterIdIncrement(Long matterIdIncrement){
		this.matterIdIncrement = matterIdIncrement;
		return this;
    }

    /**
    * 设置 事项matter id
    * @param matterIdList
    */
    public MatterSetbaseQuery matterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
		return this;
        }


	/**
    * 设置 事项编码
    * @param matterCode
    */
    public MatterSetbaseQuery matterCode(String matterCode){
        setMatterCode(matterCode);
		return this;
    }

    /**
    * 设置 事项编码
    * @param matterCodeList
    */
    public MatterSetbaseQuery matterCodeList(List<String> matterCodeList){
        this.matterCodeList = matterCodeList;
		return this;
    }


	/**
    * 设置 事项名称
    * @param matterName
    */
    public MatterSetbaseQuery matterName(String matterName){
        setMatterName(matterName);
		return this;
    }

    /**
    * 设置 事项名称
    * @param matterNameList
    */
    public MatterSetbaseQuery matterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
		return this;
    }


	/**
    * 设置 法规标题
    * @param policyName
    */
    public MatterSetbaseQuery policyName(String policyName){
        setPolicyName(policyName);
		return this;
    }

    /**
    * 设置 法规标题
    * @param policyNameList
    */
    public MatterSetbaseQuery policyNameList(List<String> policyNameList){
        this.policyNameList = policyNameList;
		return this;
    }


	/**
    * 设置 法规类型，(法律.法律，行政法规.行政法规，地方法规.地方法规，部门规章.部门规章，其他.其他，政府规章.政府规章，规范性文件.规范性文件)
    * @param policyType
    */
    public MatterSetbaseQuery policyType(String policyType){
        setPolicyType(policyType);
		return this;
    }

    /**
    * 设置 法规类型，(法律.法律，行政法规.行政法规，地方法规.地方法规，部门规章.部门规章，其他.其他，政府规章.政府规章，规范性文件.规范性文件)
    * @param policyTypeList
    */
    public MatterSetbaseQuery policyTypeList(List<String> policyTypeList){
        this.policyTypeList = policyTypeList;
		return this;
    }


	/**
    * 设置 条例
    * @param policyitem
    */
    public MatterSetbaseQuery policyitem(String policyitem){
        setPolicyitem(policyitem);
		return this;
    }

    /**
    * 设置 条例
    * @param policyitemList
    */
    public MatterSetbaseQuery policyitemList(List<String> policyitemList){
        this.policyitemList = policyitemList;
		return this;
    }


	/**
    * 设置 条款内容
    * @param content
    */
    public MatterSetbaseQuery content(String content){
        setContent(content);
		return this;
    }

    /**
    * 设置 条款内容
    * @param contentList
    */
    public MatterSetbaseQuery contentList(List<String> contentList){
        this.contentList = contentList;
		return this;
    }

    /**
    * 设置  事项来源，(0.政务网，1.自定义)
    * @param source
    */
    public MatterSetbaseQuery source(Integer source){
	    setSource(source);
		return this;
    }
	
	 /**
    * 设置 开始 事项来源，(0.政务网，1.自定义)
    * @param sourceStart
    */
    public MatterSetbaseQuery sourceStart(Integer sourceStart){
		this.sourceStart = sourceStart;
		return this;
    }

    /**
    * 设置 结束 事项来源，(0.政务网，1.自定义)
    * @param sourceEnd
    */
    public MatterSetbaseQuery sourceEnd(Integer sourceEnd){
		this.sourceEnd = sourceEnd;
		return this;
    }

    /**
    * 设置 增加 事项来源，(0.政务网，1.自定义)
    * @param sourceIncrement
    */
    public MatterSetbaseQuery sourceIncrement(Integer sourceIncrement){
		this.sourceIncrement = sourceIncrement;
		return this;
    }

    /**
    * 设置 事项来源，(0.政务网，1.自定义)
    * @param sourceList
    */
    public MatterSetbaseQuery sourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
		return this;
        }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public MatterSetbaseQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public MatterSetbaseQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public MatterSetbaseQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public MatterSetbaseQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public MatterSetbaseQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<MatterSetbaseQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<MatterSetbaseQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<MatterSetbaseQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<MatterSetbaseQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}